tigase.jaxmpp.core.client.xmpp.modules.registration

## Class InBandRegistrationModule.ReceivedTimeoutHandler.ReceivedTimeoutEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<InBandRegistrationModule.ReceivedTimeoutHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.registration.InBandRegistrationModule.ReceivedTimeoutHandler.ReceivedTimeoutEvent

- Enclosing interface:
    InBandRegistrationModule.ReceivedTimeoutHandler

      public static class InBandRegistrationModule.ReceivedTimeoutHandler.ReceivedTimeoutEvent
      extends JaxmppEvent<InBandRegistrationModule.ReceivedTimeoutHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivedTimeoutEvent(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(InBandRegistrationModule.ReceivedTimeoutHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceivedTimeoutEvent

          public ReceivedTimeoutEvent(SessionObject sessionObject)

  - ### Method Detail

    - #### dispatch

          public void dispatch(InBandRegistrationModule.ReceivedTimeoutHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<InBandRegistrationModule.ReceivedTimeoutHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.